Delete a receive rule
DELETE
/v1/email/mailboxes/{mailbox_id}/receive-rules/{rule_id}
await bird.email.mailboxes.receiveRules.delete("mbx_01abc", "erl_01xyz");client.email.mailboxes.receive_rules.delete(
"mbx_01krdgeqcxet5s7t44vh8rt9mg", "rrule_01krdgeqcxet5s7t44vh8rt9mg"
)if err := client.Email.Mailboxes.ReceiveRules.Delete(context.Background(), "mbx_123", "erl_456"); err != nil {
log.Fatal(err)
}$bird->email->mailboxes->receiveRules->delete(
'mbx_01krdgeqcxet5s7t44vh8rt9mg',
'rul_01krdgeqcxet5s7t44vh8rt9mg',
);bird email mailboxes receive-rules delete <mailbox-id> <rule-id> --yescurl -X DELETE "https://us1.platform.bird.com/v1/email/mailboxes/{mailbox_id}/receive-rules/{rule_id}" \
-H "Authorization: Bearer $TOKEN"Removes a receive rule from the mailbox. A rule's allow or block action cannot be changed after creation; delete it and create a replacement.
参数
mailbox_id
string
Mailbox identifier. Starts with mbx_.
rule_id
string
Receive-rule identifier. Starts with erl_.
Related resources
Continue with the documentation, guides and examples for this topic. Resources are in English.
Watch the guideSetting up your coding agentUnderstand the conceptWhat is an MCP server, and how does an agent use one to send messages?Explore the capabilityCoding agentsFollow the learning pathBuild with AI agents
Get an implementation brief